Package org.apache.velocity.runtime

# Class ParserConfiguration

java.lang.Object
org.apache.velocity.runtime.ParserConfiguration

public class ParserConfiguration extends Object
Class gathering configured replacement characters for a specific parser class.

Since:
  2.2

## Constructor Summary

Constructors
Constructor
Description
`ParserConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`char`
`getAsteriskChar()`
Getter for '*' configured replacement character
`char`
`getAtChar()`
Getter for '@' configured replacement character
`char`
`getDollarChar()`
Getter for '$' configured replacement character
`char`
`getHashChar()`
Getter for '#' configured replacement character

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParserConfiguration

public ParserConfiguration()

## Method Details

### getDollarChar

public char getDollarChar()
Getter for '$' configured replacement character

Returns:
  configured replacement character for '$'

### getHashChar

public char getHashChar()
Getter for '#' configured replacement character

Returns:
  configured replacement character for '#'

### getAtChar

public char getAtChar()
Getter for '@' configured replacement character

Returns:
  configured replacement character for '@'

### getAsteriskChar

public char getAsteriskChar()
Getter for '*' configured replacement character

Returns:
  configured replacement character for '*'